pinv = player.getInventory();

if(pinv.getSlotContainingItemDamage(351,4) != -1)
{
	player.setStunned(500);
	sound.playSoundUI("sound.heyboy");
	chat.print("Guard : AAA, Let me see the letter! It's maror's letter.");
	time.sleep(6);
	sound.playSoundUI("sound.dialogue done");
	chat.print("Guard : Now you will have access to the cave.");
	time.sleep(6);
	player.setStunned(0);
	world.triggerBlock(94, 75, -634);
	pinv.emptySlot(pinv.getSlotContainingItemDamage(351,4));
}
else
{
	player.setStunned(500);
	sound.playSoundUI("sound.heyboy");
	chat.print("Guard : You can't continue, the cave is too dangerous.");
	time.sleep(3);
	sound.playSoundUI("sound.dialogue next");
	chat.print("You need an letter from Maror.");
	player.setStunned(0);
	time.sleep(4);
	sound.playSoundUI("sound.Navi_Listen");
	chat.print("Navi : Link! We must look for this letter");
}